openQA Tests - action #57743

[functional][y][timeboxed:8h] test tries to reboot when poweroff is given in shutdown
2019-10-07 08:37 - ybonatakis

Status: Resolved Start date: 2019-10-07
Priority: Normal Due date: 2019-10-22
Assignee: oorlov % Done: 0%
Category: Bugs in existing tests Estimated time: 0.00 hour
Target version: Milestone 29

Difficulty:

Description

Observation

openQA test in scenario sle-15-SP2-Installer-DVD-s390x-cryptivm@s390x-zVM-hsi-I2 fails in
shutdown

The shutdown module makes a call to the power_action to poweroff. | think the type_string "$action\n"; is not reach in power_action
which makes the flow to check the else statement. from there it should drop into the poweroff_x11. Maybe it would be better to pass
the textmode parameter explicitly in to the power_action.

This is cause by the change that we start testing gnome on s390x again and therefore use gnome menu to shutdown the system.
Console way of shutting down worked fine: https://openga.suse.de/tests/33055294#step/shutdown/6

We need to investigate why gnome way doesn't work (maybe we don't press authenticate button).
If problem is not resolved, we need follow-up ticket to apply the solution.

Test suite description

Maintainers: okurz

Conduct installation with encrypted LVM selected during installation. Generated disk image used in downstream jobs.
(crypt-)LVM installations can take longer, especially on non-x86_64 architectures.
YAML_SCHEDULE=schedule/yaml/cryptlvm/cryptlvm_sle.yaml

Reproducible

Fails since (at least) Build 36.1

Expected result

Last good: 27.1 (or more recent)

Further details

Always latest result in this scenario: latest

Related issues:
Related to openQA Tests - action #58127: [functional][y][timeboxed:16h] Fix s... Resolved 2019-10-14 2019-11-05

History

#1 - 2019-10-07 12:11 - riafarov
- Due date set to 2019-10-22

- Target version set to Milestone 29

#2 - 2019-10-09 08:43 - riafarov

- Subject changed from [functional][y]test tries to reboot when poweroff is given in shutdown to [functional][y][timeboxed:8h] test tries to reboot when
https://openqa.suse.de/tests/3445507/modules/shutdown/steps/3
https://openqa.suse.de/tests/3305529#step/shutdown/6
https://openqa.suse.de/tests/3355212
https://openqa.suse.de/tests/3305529
https://openqa.suse.de/tests/latest?arch=s390x&distri=sle&flavor=Installer-DVD&machine=s390x-zVM-hsi-l2&test=cryptlvm&version=15-SP2

poweroff is given in shutdown
- Description updated

- Status changed from New to Workable

#3 - 2019-10-09 12:05 - oorlov
- Status changed from Workable to In Progress

- Assignee set to oorlov

#4 - 2019-10-14 11:48 - oorlov
- Related to action #58127: [functional][y][timeboxed:16h] Fix shutdown from GUI on s390x backend added

#5 - 2019-10-15 09:50 - oorlov

- Status changed from In Progress to Resolved
